Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 16230)
+++ /trunk/language/de_DE/common.lang.php	(revision 16231)
@@ -52,6 +52,6 @@
 $lang['%d new users'] = '%d neue Benutzer';
 $lang['About'] = 'Über uns';
-$lang['All tags'] = 'Alle Stichwörter';
-$lang['Any tag'] = 'Beliebiges Stichwort';
+$lang['All tags'] = 'Alle Schlagwörter';
+$lang['Any tag'] = 'Beliebiges Schlagwort';
 $lang['At least one listed rule must be satisfied.'] = 'Mindestens eine aufgelistete Regel muss übereinstimmen.';
 $lang['Author'] = 'Autor';
@@ -85,5 +85,5 @@
 $lang['Identification'] = 'Anmeldung';
 $lang['Photos only RSS feed'] = 'Nur Foto-RSS-Feed';
-$lang['Keyword'] = 'Stichwort';
+$lang['Keyword'] = 'Schlagwort';
 $lang['Links'] = 'Links';
 $lang['N/A'] = 'nicht vorhanden';
@@ -101,16 +101,16 @@
 $lang['Register'] = 'Registrieren';
 $lang['Registration'] = 'Registrierung';
-$lang['Related tags'] = 'Mit den Stichwörten';
+$lang['Related tags'] = 'Mit den Schlagwörten';
 $lang['Reset'] = 'Zurücksetzen';
 $lang['Retrieve password'] = 'Passwort abrufen';
 $lang['Search rules'] = 'Suchkriterien';
-$lang['Search tags'] = 'Stichwörter suchen';
+$lang['Search tags'] = 'Schlagwörter suchen';
 $lang['Search'] = 'Suchen';
-$lang['display available tags'] = 'alle verfügbaren Stichwörter anzeigen';
+$lang['display available tags'] = 'alle verfügbaren Schlagwörter anzeigen';
 $lang['Since'] = 'Seit';
 $lang['Sort by'] = 'Sortieren nach';
 $lang['Sort order'] = 'Sortierreihenfolge';
-$lang['Tag'] = 'Stichwort';
-$lang['Tags'] = 'Stichwörter';
+$lang['Tag'] = 'Schlagwort';
+$lang['Tags'] = 'Schlagwörter';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Der RSS-Feed beinhaltet Neuigkeiten von dieser Webseite: neue Fotos, aktualisierte Alben, neue Kommentare. Benutzen Sie einen RSS-Feed-Reader.';
 $lang['Unknown feed identifier'] = 'Feed-ID unbekannt.';
@@ -230,5 +230,5 @@
 $lang['Recent period must be a positive integer value'] = 'Der Zeitraum muss eine positive ganze Zahl sein.';
 $lang['photo'] = 'Foto';
-$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto, um es in hoher Auflösung zu sehen.';
+$lang['Click on the photo to see it in high definition'] = 'Klicken Sie auf das Foto, um es in hoher Auflösung zu sehen.';
 $lang['Show file metadata'] = 'Zeige die Metadaten in der Datei';
 $lang['Powered by'] = 'Unterstützt von';
@@ -242,5 +242,5 @@
 $lang['Recent photos'] = 'Neueste Fotos';
 $lang['display most recent photos'] = 'zeige die neuesten Fotos';
-$lang['Redirection...'] = 'Umleitung ...';
+$lang['Redirection...'] = 'Umleitung...';
 $lang['Please, enter a login'] = 'Bitte geben Sie einen Benutzernamen ein';
 $lang['login mustn\'t end with a space character'] = 'Benutzername darf nicht mit einem Leerzeichen enden';
@@ -250,5 +250,5 @@
 $lang['please enter your password again'] = 'Bitte geben Sie erneut Ihr Passwort ein.';
 $lang['Auto login'] = 'Auto-Login';
-$lang['remove this tag from the list'] = 'Entferne dieses Stichwort von der Liste.';
+$lang['remove this tag from the list'] = 'Entferne dieses Schlagwort von der Liste.';
 $lang['representative'] = 'Album-Vorschaubild';
 $lang['Search for Author'] = 'Suche nach Autor';
@@ -299,5 +299,5 @@
 $lang['this email address is already in use'] = 'diese E-Mail-Adresse wird bereits verwendet';
 $lang['Album results for'] = 'Albumresultate für';
-$lang['Tag results for'] = 'Stichwort-Ergebnisse für';
+$lang['Tag results for'] = 'Schlagwort-Ergebnisse für';
 $lang['from %s to %s'] = 'von %s bis %s';
 $lang['Play of slideshow'] = 'Start der Diashow';
@@ -312,7 +312,7 @@
 $lang['%d photo'] = '%d Foto';
 $lang['%d photos'] = '%d Fotos';
-$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit diesen Stichwörtern verbunden';
-$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit diesen Stichwörtern verbunden';
-$lang['display photos linked to this tag'] = 'zeige Fotos, die mit diesem Stichwort verbunden sind';
+$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit diesen Schlagwörtern verbunden';
+$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit diesen Schlagwörtern verbunden';
+$lang['display photos linked to this tag'] = 'zeige Fotos, die mit diesem Schlagwort verbunden sind';
 $lang['photos posted during the last %d days'] = 'Fotos eingestellt während der letzten %d Tage';
 $lang['Piwigo Help'] = 'Piwigo-Hilfe';
@@ -320,5 +320,5 @@
 $lang['group by letters'] = 'Gruppieren nach Buchstaben';
 $lang['letters'] = 'Buchstaben';
-$lang['show tag cloud'] = 'zeige die Stichwortwolke';
+$lang['show tag cloud'] = 'zeige die Schlagwortwolke';
 $lang['cloud'] = 'Wolke';
 $lang['Reset to default values'] = 'Zurücksetzen auf Standardwerte';
@@ -326,11 +326,11 @@
 $lang['Sent by'] = 'Gesendet von';
 $lang['Are you sure?'] = 'Sind Sie sicher?';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von Ihrem Browser unterstützt. Sie müssen Cookies erlauben, um sich zu verbinden.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder von Ihrem Browser nicht unterstützt. Sie müssen Cookies erlauben, um sich zu verbinden.';
 $lang['Edit a comment'] = 'Bearbeite einen Kommentar';
 $lang['(!) This comment requires validation'] = '(!) Dieser Kommentar muss überprüft werden.';
 $lang['Welcome'] = 'Willkommen';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen!';
-$lang['... or browse your empty gallery'] = '... oder durchsuche deine leere Galerie';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, ich finde mich selbst zurecht';
+$lang['... or browse your empty gallery'] = '...oder durchstöbern Sie Ihre leere Galerie';
+$lang['... or please deactivate this message, I will find my way by myself'] = '...oder übergehe diese Meldung. Ich finde mich selbst zurecht';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, Ihre Piwigo-Fotogalerie ist leer!';
 $lang['I want to add photos'] = 'Ich möchte Fotos hinzufügen';
@@ -412,4 +412,4 @@
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo ist auf einen nicht nachvollziehbaren Fehler gestoßen.';
 $lang['Requested album does not exist'] = 'Gewähltes Album existiert nicht.';
-$lang['Requested tag does not exist'] = 'Gewähltes Stichwort existiert nicht.';
+$lang['Requested tag does not exist'] = 'Gewähltes Schlagwort existiert nicht.';
 ?>