Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 16232)
+++ /trunk/language/de_DE/admin.lang.php	(revision 16233)
@@ -36,6 +36,6 @@
 $lang['%d member'] = '%d Mitglied';
 $lang['%d members'] = '%d Mitglieder';
-$lang['%d tag'] = '%d Stichwort';
-$lang['%d tags'] = '%d Stichwörter';
+$lang['%d tag'] = '%d Schlagwort';
+$lang['%d tags'] = '%d Schlagwörter';
 $lang['%d user comment rejected'] = '%d Benutzerkommentar abgewiesen';
 $lang['%d user comments rejected'] = '%d Benutzerkommentare abgewiesen';
@@ -50,5 +50,5 @@
 $lang['Activate'] = 'Aktiviere';
 $lang['Add/delete a permalink'] = 'Hinzufügen/Löschen eines Permalinks';
-$lang['Add a tag'] = 'Stichwort hinzufügen';
+$lang['Add a tag'] = 'Schlagwort hinzufügen';
 $lang['Add a user'] = 'Benutzer hinzufügen';
 $lang['Add group'] = 'Gruppe hinzufügen';
@@ -69,5 +69,5 @@
 $lang['Deactivate'] = 'Deaktivieren';
 $lang['Delete Representant'] = 'Lösche das Album-Vorschaubild';
-$lang['Delete selected tags'] = 'Lösche markierte Stichwörter';
+$lang['Delete selected tags'] = 'Lösche markierte Schlagwörter';
 $lang['Delete selected users'] = 'Lösche markierte Benutzer';
 $lang['Deletions'] = 'Löschung';
@@ -78,6 +78,6 @@
 $lang['Dissociated'] = 'Ist nicht verlinkt';
 $lang['Does not represent'] = 'Ist nicht Vorschaubild für';
-$lang['Edit selected tags'] = 'Bearbeite markierte Stichwörter';
-$lang['Edit tags'] = 'Bearbeite Stichwörter';
+$lang['Edit selected tags'] = 'Bearbeite markierte Schlagwörter';
+$lang['Edit tags'] = 'Bearbeite Schlagwörter';
 $lang['Email admins when a new user registers'] = 'Sende eine E-Mail an die Adminstratoren, wenn sich ein neuer Benutzer registriert hat';
 $lang['Email admins when a valid comment is entered'] = 'Sende eine E-Mail an die Adminstratoren, wenn ein Kommentar hinterlassen wurde';
@@ -102,5 +102,5 @@
 $lang['Manage permissions for group "%s"'] = 'Verwalte die Zugriffsrechte für die Gruppe "%s"';
 $lang['Manage permissions for user "%s"'] = 'Verwalte die Zugriffsrechte für den Benutzer "%s"';
-$lang['Manage tags'] = 'Verwalte Stichwörter';
+$lang['Manage tags'] = 'Verwalte Schlagwörter';
 $lang['Members'] = 'Mitglieder';
 $lang['Metadata synchronized from file'] = 'Metadaten synchronisiert von Datei';
@@ -110,5 +110,5 @@
 $lang['New name'] = 'Neuer Name';
 $lang['New parent album'] = 'Neues übergeordnetes Album';
-$lang['New tag'] = 'Neues Stichwort';
+$lang['New tag'] = 'Neues Schlagwort';
 $lang['Number of comments per page'] = 'Anzahl von Kommentaren pro Seite';
 $lang['Number of rates'] = 'Anzahl von Bewertungen';
@@ -155,8 +155,8 @@
 $lang['Storage album'] = 'Speicherort des Albums';
 $lang['Sum of rates'] = 'Summe der Bewertungen';
-$lang['Tag "%s" already exists'] = 'Stichwort "%s" existiert bereits';
-$lang['Tag "%s" was added'] = 'Stichwort "%s" wurde hinzugefügt';
-$lang['Tag selection'] = 'Stichwortauswahl';
-$lang['The %d following tags were deleted'] = 'Die %d folgenden Stichwörter wurden gelöscht';
+$lang['Tag "%s" already exists'] = 'Schlagwort "%s" existiert bereits';
+$lang['Tag "%s" was added'] = 'Schlagwort "%s" wurde hinzugefügt';
+$lang['Tag selection'] = 'Schlagwortauswahl';
+$lang['The %d following tags were deleted'] = 'Die %d folgenden Schlagwörter wurden gelöscht';
 $lang['Unable to check for upgrade.'] = 'Update-Prüfung ist nicht möglich.';
 $lang['Uninstall'] = 'Deinstallieren';
@@ -301,5 +301,5 @@
 $lang['test'] = 'Test';
 $lang['test this remote site'] = 'teste diese Remote-Site';
-$lang['remove tags'] = 'Stichwörter entfernen';
+$lang['remove tags'] = 'Schlagwörter entfernen';
 $lang['Repair and optimize database'] = 'Reparieren und Optimierung der Datenbank';
 $lang['selection'] = 'Auswahl';
@@ -541,9 +541,9 @@
 $lang['Hide'] = 'Verstecken';
 $lang['Operation in progress'] = 'Arbeite daran.';
-$lang['Please wait...'] = 'Bitte warten ...';
+$lang['Please wait...'] = 'Bitte warten...';
 $lang['Password is missing. Please enter the password.'] = 'Das Kennwort fehlt. Bitte geben Sie Ihr Kennwort ein.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Das Kennwort zum Überprüfen fehlt. Bitte geben Sie ihr gewähltes Kennwort noch einmal ein.';
-$lang['Allow users to edit their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu editieren';
-$lang['Allow users to delete their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu löschen';
+$lang['Allow users to edit their own comments'] = 'Erlaube Benutzern, ihre eigenen Kommentare zu editieren';
+$lang['Allow users to delete their own comments'] = 'Erlaube Benutzern, ihre eigenen Kommentare zu löschen';
 $lang['Email administrators when a comment is modified'] = 'Schicke den Administratoren eine E-Mail, wenn ein Kommentar verändert wurde';
 $lang['Email administrators when a comment is deleted'] = 'Schicke den Administratoren eine E-Mail, wenn ein Kommentar gelöscht wurde';
@@ -649,5 +649,5 @@
 ';
 $lang['Add Photos'] = 'Fotos hinzufügen';
-$lang['The following tag was deleted'] = 'Folgendes Stichwort wurde gelöscht';
+$lang['The following tag was deleted'] = 'Folgendes Schlagwort wurde gelöscht';
 $lang['There is no other language available.'] = 'Es ist keine weitere Sprache verfügbar.';
 $lang['There is no other plugin available.'] = 'Es ist kein weiteres Plugin verfügbar.';
@@ -703,9 +703,9 @@
 $lang['remove creation date'] = 'Entferne das Erstellungsdatum';
 $lang['Album photos associated to the following albums: %s'] = 'Albumfotos findet man in folgenden Alben: %s';
-$lang['Delete orphan tags'] = 'Lösche nicht benutzte Stichwörter';
+$lang['Delete orphan tags'] = 'Lösche nicht benutzte Schlagwörter';
 $lang['delete photo'] = 'lösche Foto';
-$lang['Orphan tags deleted'] = 'Nicht benutzte Stichwörter wurden gelöscht';
+$lang['Orphan tags deleted'] = 'Nicht benutzte Schlagwörter wurden gelöscht';
 $lang['Week starts on'] = 'Die Woche beginnt mit';
-$lang['You have %d orphan tags: %s.'] = 'Sie haben %d nicht benutzte Stichwörter: %s.';
+$lang['You have %d orphan tags: %s.'] = 'Sie haben %d nicht benutzte Schlagwörter: %s.';
 $lang['Remove from caddie'] = 'Vom Sammelkorb entfernen';
 $lang['Themes which need upgrade'] = 'Themen, die aktualisiert werden sollten';
@@ -777,5 +777,5 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kann die Aktualisierungsdatei nicht vom Server laden';
 $lang['Zoom'] = 'Zoom';
-$lang['(this tag will be deleted)'] = '(dieses Stichwort wird gelöscht!)';
+$lang['(this tag will be deleted)'] = '(dieses Schlagwort wird gelöscht!)';
 $lang['... or '] = '...oder';
 $lang['Allowed file types: %s.'] = 'Erlaubte Dateitypen: %s.';
@@ -787,14 +787,14 @@
 $lang['Manage Permissions'] = 'Zugriff verwalten';
 $lang['Maximum file size: %sB.'] = 'Max. Dateigröße: %sB.';
-$lang['Merge selected tags'] = 'Gewählte Stichwörter zusammenführen';
-$lang['Merge tags'] = 'Stichwörter zusammenführen';
-$lang['No destination tag selected'] = 'Kein Ziel-Stichwort gewählt';
+$lang['Merge selected tags'] = 'Gewählte Schlagwörter zusammenführen';
+$lang['Merge tags'] = 'Schlagwörter zusammenführen';
+$lang['No destination tag selected'] = 'Kein Ziel-Schlagwort gewählt';
 $lang['Photo %s of %s'] = 'Bild %s of %s';
 $lang['Select an album'] = 'Wähle ein Album';
-$lang['Select at least two tags for merging'] = 'Wähle mindestens 2 Stichwörter zum Zusammenführen';
-$lang['Select the destination tag'] = 'Wähle Ziel-Stichwort';
+$lang['Select at least two tags for merging'] = 'Wählen Sie mindestens 2 Schlagwörter zum Zusammenführen aus';
+$lang['Select the destination tag'] = 'Wähle Ziel-Schlagwort';
 $lang['show details'] = 'Details zeigen';
 $lang['Start Upload'] = 'Upload starten';
-$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tags <em>%s</em> in <em>%s</em> zusammengeführt';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Schlagwörter <em>%s</em> mit <em>%s</em> zusammengeführt';
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Sie benutzen den Browser-Uploader. Benutzen Sie stattdessen den <a href="%s">Flash-Uploader</a>.';
 $lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Probleme mit dem Flash-Uploader? Benutzen Sie stattdessen den <a href="%s">Browser-Uploader</a>.';
@@ -833,5 +833,5 @@
 $lang['You can activate only one mobile theme.'] = 'Sie können nur ein Mobil-Layout aktivieren.';
 $lang['%s has been successfully updated.'] = '%s wurde erfolgreich aktualisiert.';
-$lang['Add tags'] = 'Stichwort hinzufügen';
+$lang['Add tags'] = 'Schlagwörter hinzufügen';
 $lang['Applications'] = 'Applikationen';
 $lang['Last import'] = 'Letzter Import';
@@ -839,5 +839,5 @@
 $lang['Web Form'] = 'Webformular';
 $lang['With no album'] = 'Ohne Album';
-$lang['With no tag'] = 'Ohne Stichwort';
+$lang['With no tag'] = 'Ohne Schlagwort';
 $lang['With no virtual album'] = 'Ohne virtuelles Album';
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'Das App <em>Piwigo für Android</em> ermöglicht es Ihnen, sich mit Ihrer Piwigo-Galerie zu verbinden, Alben zu erstellen und mehrere Fotos gleichzeitig hochzuladen.';