Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 16242)
+++ /trunk/language/de_DE/common.lang.php	(revision 16243)
@@ -59,5 +59,5 @@
 $lang['Album'] = 'Album';
 $lang['Close this window'] = 'Dieses Fenster schließen.';
-$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS-Feed (Fotos und Kommentare)';
+$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS-Feed (Fotos, Kommentare)';
 $lang['Confirm Password'] = 'Neues Passwort bestätigen';
 $lang['Connection settings'] = 'Login-Einstellungen';
@@ -81,5 +81,5 @@
 $lang['Filter'] = 'Filter';
 $lang['Forgot your password?'] = 'Passwort vergessen?';
-$lang['Go through the gallery as a visitor'] = 'Besuchen Sie die Galerie mit Besucherrechten';
+$lang['Go through the gallery as a visitor'] = 'Besuchen Sie die Galerie als Gast';
 $lang['Help'] = 'Hilfe';
 $lang['Identification'] = 'Anmeldung';
@@ -146,5 +146,5 @@
 $lang['Your comment has been registered'] = 'Ihr Kommentar wurde gespeichert.';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Floot-Sperre: Vor dem Absenden eines weiteren Kommentars bitte kurz warten.';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ihr Kommentar wurde abgelehnt, da er den Validierungs-Regeln nicht entspricht.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ihr Kommentar wurde abgelehnt, da er den Validierungsregeln nicht entspricht.';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ein Administrator muss Ihren Beitrag freischalten, bevor er sichtbar wird.';
 $lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits vergeben';
@@ -179,5 +179,5 @@
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Der Schreibzugriff auf die Datenbank ist wegen Wartungsarbeiten blockiert. Bitte besuchen Sie uns später wieder.';
 $lang['Page generated in'] = 'Seite erstellt in';
-$lang['guest'] = 'Besucher';
+$lang['guest'] = 'Gast';
 $lang['Hello'] = 'Hallo';
 $lang['available for administrators only'] = 'verfügbar nur für Administratoren';
@@ -231,5 +231,5 @@
 $lang['photo'] = 'Foto';
 $lang['Click on the photo to see it in high definition'] = 'Klicken Sie auf das Foto, um es in hoher Auflösung zu sehen.';
-$lang['Show file metadata'] = 'Zeige die Metadaten in der Datei';
+$lang['Show file metadata'] = 'Zeige die Datei-Metadaten';
 $lang['Powered by'] = 'Unterstützt von';
 $lang['Preferences'] = 'Einstellungen';
@@ -281,5 +281,5 @@
 $lang['A comment on your site'] = 'Ein Kommentar auf der Website';
 $lang['today'] = 'heute';
-$lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung.';
+$lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung';
 $lang['the username must be given'] = 'Benutzername fehlt';
 $lang['useful when password forgotten'] = 'nützlich, wenn Sie ihr Passwort vergessen';
@@ -296,11 +296,11 @@
 $lang['Registration of %s'] = 'Registrierung von %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Ungültiger Status für den Benutzer "guest". Der Standartstatus wird stattdessen verwendet. Bitte kontaktieren Sie den Webmaster.';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Ungültiger Status für den Benutzer "Gast". Der Standartstatus wird stattdessen verwendet. Bitte kontaktieren Sie den Webmaster.';
 $lang['this email address is already in use'] = 'diese E-Mail-Adresse wird bereits verwendet';
 $lang['Album results for'] = 'Albumresultate für';
-$lang['Tag results for'] = 'Schlagwort-Ergebnisse für';
+$lang['Tag results for'] = 'Schlagwortergebnisse für';
 $lang['from %s to %s'] = 'von %s bis %s';
-$lang['Play of slideshow'] = 'Start der Diashow';
-$lang['Pause of slideshow'] = 'Pause der Diashow';
+$lang['Play of slideshow'] = 'Diashow starten';
+$lang['Pause of slideshow'] = 'Diashow anhalten';
 $lang['Repeat the slideshow'] = 'Wiederholen der Diashow';
 $lang['Not repeat the slideshow'] = 'Diashow nicht wiederholen';
@@ -318,5 +318,5 @@
 $lang['Piwigo Help'] = 'Piwigo-Hilfe';
 $lang['Rank'] = 'Rang';
-$lang['group by letters'] = 'Gruppieren nach Buchstaben';
+$lang['group by letters'] = 'gruppieren nach Buchstaben';
 $lang['letters'] = 'Buchstaben';
 $lang['show tag cloud'] = 'zeige die Schlagwortwolke';
@@ -339,15 +339,15 @@
 $lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
 $lang['html tags are not allowed in login'] = 'HTML-Tags sind im Benutzernamen nicht erlaubt';
-$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein.';
+$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein';
 $lang['Number of photos per page'] = 'Anzahl der Fotos pro Seite';
 $lang['%d rates'] = '%d Bewertungen';
 $lang['Rating score'] = 'Bewertungsstand';
 $lang['Change my password'] = 'Mein Passwort ändern';
-$lang['Check your email for the confirmation link'] = 'Überprüfen Sie Ihr E-Mail-Postfach auf eine E-Mail mit Bestätigungs-Link.';
+$lang['Check your email for the confirmation link'] = 'Überprüfen Sie Ihr E-Mail-Postfach auf eine E-Mail mit Bestätigungslink';
 $lang['Enter your new password below.'] = 'Neues Passwort unten eingeben.';
 $lang['EXIF Metadata'] = 'Exif-Metadaten';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Falls ein Irrtum vorliegt, ignoriere Sie diese E-Mail.';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Falls ein Irrtum vorliegt, ignorieren Sie diese E-Mail einfach.';
 $lang['Invalid key'] = 'Ungültiger Schlüssel';
-$lang['Invalid username or email'] = 'Falscher Benutzername oder E-Mail';
+$lang['Invalid username or email'] = 'Ungültiger Benutzername oder ungültige E-Mail-Adresse';
 $lang['IPTC Metadata'] = 'IPTC-Metadaten';
 $lang['Password Reset'] = 'Passwort zurücksetzen';
@@ -357,6 +357,6 @@
 $lang['The passwords do not match'] = 'Das Passwort stimmt nicht überein';
 $lang['To reset your password, visit the following address:'] = 'Um das Passwort zurückzusetzen, klicken Sie auf den folgenden Link:';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail-Adresse. Zurücksetzen des Passworts nicht möglich.';
-$lang['Username or email'] = 'Benutzername oder E-Mail';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail-Adresse. Zurücksetzen des Passworts nicht möglich';
+$lang['Username or email'] = 'Benutzername oder E-Mail-Adresse';
 $lang['You will receive a link to create a new password via email.'] = 'Per E-Mail erhalten Sie einen Link, um ein neues Passwort zu erstellen.';
 $lang['Your password has been reset'] = 'Ihr Passwort wurde zurückgesetzt.';
@@ -375,5 +375,5 @@
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Erfolgreich registriert! Sie werden in Kürze eine E-Mail mit Ihren Zugangsdaten erhalten. Herzlich Willkommen!';
 $lang['Thank you for registering at %s!'] = 'Danke für Ihre Registrierung bei %s!';
-$lang['thumb'] = 'miniatur';
+$lang['thumb'] = 'Vorschaubild';
 $lang['Username "%s" on gallery %s'] = 'Benutzername "%s" bei Galerie %s';
 $lang['Username modification'] = 'Benutzername ändern';
@@ -404,5 +404,5 @@
 $lang['Rating score, low &rarr; high'] = 'Bewertung, niedrig &rarr; hoch';
 $lang['Visits, high &rarr; low'] = 'Besuche, hoch &rarr; niedrig';
-$lang['Visits, low &rarr; high'] = 'Besuche, hoch &rarr; niedrig';
+$lang['Visits, low &rarr; high'] = 'Besuche, niedrig &rarr; hoch';
 $lang['%d rate'] = 'Bewertung';
 $lang['Bad request'] = 'Fehlerhafte Anfrage';
@@ -411,5 +411,5 @@
 $lang['Permalink for album not found'] = 'Permalink für Album nicht gefunden';
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo ist auf einen nicht nachvollziehbaren Fehler gestoßen.';
-$lang['Requested album does not exist'] = 'Gewähltes Album existiert nicht.';
-$lang['Requested tag does not exist'] = 'Gewähltes Schlagwort existiert nicht.';
+$lang['Requested album does not exist'] = 'Gewähltes Album existiert nicht';
+$lang['Requested tag does not exist'] = 'Gewähltes Schlagwort existiert nicht';
 ?>