Index: /extensions/whois_online/language/pt_PT/index.php
===================================================================
--- /extensions/whois_online/language/pt_PT/index.php	(revision 16248)
+++ /extensions/whois_online/language/pt_PT/index.php	(revision 16248)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/pt_PT/plugin.lang.php	(revision 16248)
+++ /extensions/whois_online/language/pt_PT/plugin.lang.php	(revision 16248)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang[' - Over the radar limit => No level control'] = '- Acima do limite do radar => Não há controlo de limite';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = '=> Apagar acesso de antigos visitantes ( mais 3 dias) e optimizar tabela e index';
+$lang['(Multiple IP)'] = '(Multiplos IP)';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] = ': fornece geolocalização IP a pedido (link na bandeira). Util para países desconhecidos';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = ':fornece localização de novos visitantes e possibilidade de novas bandeiras de países, graças a eles';
+$lang[':geoiptool:title'] = 'Minha morada IP Lookup e informação Geotargeting';
+$lang[':hostip:title'] = 'Minha morada IP Lookup e informação e comunidade Geotargeting IP Project - que país, cidade da morada IP';
+$lang['Active capture'] = 'Captura activa';
+$lang['Add icon to History'] = 'Adicionar icon a Historial';
+$lang['Add link to Plugins menu'] = 'Adicionar icon ao menu Plugins';
+$lang['Administrators management:'] = 'Gestão administradores:';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 'Utilizadores avançados: template vars estão disponiveis em todos os casos e podem ser incluidas nas extensões';
+$lang['Altered/created since: %s'] = 'Alterado / criado desde: %s';
+$lang['As anybody'] = 'Como todos';
+$lang['Available filters'] = 'Filtros disponíveis';
+$lang['Captured guests'] = 'Visitantes capturados';
+$lang['Categories only'] = 'Só categorias';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Limpar usuários temporários (tempo mínimo são 6 minutos). Para limpar usuários permanentes, mude-os primeiro na lista acima à direita';
+$lang['Clearing'] = 'Limpar';
+$lang['Compress it!'] = 'Comprimir!';
+?>