Index: /extensions/piclens/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/el_GR/plugin.lang.php	(revision 16270)
+++ /extensions/piclens/language/el_GR/plugin.lang.php	(revision 16271)
@@ -71,3 +71,111 @@
 $lang['piclens_extendeddesc_detail'] = 'Χρησιμοποιώντας την ετικέτα γλώσσας [lang] για την περιγραφή εικόνας και την ετικέτα < !--hidden-- > για να κρύψετε τις κατηγορίες και τις εικόνες.';
 $lang['root_path_legend'] = 'Διαδρομή του Pïwigo ';
+$lang['piclens_favorites_label'] = 'Τα αγαπημένα μου';
+$lang['piclens_global_legend'] = 'Γενικά';
+$lang['piclens_label_Desc1'] = 'Κανένα';
+$lang['piclens_label_Desc2'] = 'Όνομα εικόνας ';
+$lang['piclens_label_Desc3'] = 'Περιγραφή εικόνας';
+$lang['piclens_label_Name1'] = 'Όνομα Μικρογραφίας : μέγεθος';
+$lang['piclens_label_Name2'] = 'Όνομα Μικρογραφίας';
+$lang['piclens_label_Name3'] = 'Όνομα εικόνας ';
+$lang['piclens_label_Name4'] = 'Κανένα';
+$lang['piclens_label_TypeHigh'] = 'Υψηλό';
+$lang['piclens_label_TypeNorm'] = 'Κανονικό';
+$lang['piclens_label_TypeTN'] = 'Μικρογραφία';
+$lang['piclens_label_crossdomain1'] = '<i>Το<u> crossdomain.xml </u> αρχείο υπάρχει ήδη στη ρίζα του site, επεξεργαστείτε και αλλάξετε το χειροκίνητα, αν είναι απαραίτητο. </i>';
+$lang['piclens_label_crossdomain2'] = 'Αντιγράψτε το crossdomain.xml αρχείο στη ρίζα του site.';
+$lang['piclens_label_orderAddDate'] = 'Προσθήκη Ημερομηνίας';
+$lang['piclens_label_orderAverage'] = 'Μέσος ρυθμός';
+$lang['piclens_label_orderBest'] = 'Καλύτερο χτύπημα';
+$lang['piclens_label_orderCat'] = 'Κατηγορία';
+$lang['piclens_label_orderCreDate'] = 'Δημιουργία ημερομηνίας';
+$lang['piclens_label_orderID'] = 'Ταυτότητα';
+$lang['piclens_label_orderName'] = 'Όνομα Αρχείου';
+$lang['piclens_label_orderPiwigo'] = 'Προεπιλογή Piwigo';
+$lang['piclens_label_orderRand'] = 'Τυχαίο';
+$lang['piclens_label_orderRank'] = 'Βαθμολόγηση';
+$lang['piclens_label_plugins'] = '<b><u><i>%s</i></u> Το πρόσθετο εγκαταστάθηκε </b>και <b>ενεργοποιήθηκε</b>';
+$lang['piclens_label_pwgstuff1'] = '<u> Σημείωση: </u> <b> Η επιλογή δεν είναι διαθέσιμη επειδή PWG_Stuff έχει εγκατασταθεί (τσεκάρετε την επιλογή στο PWG_Stuff). Ορισμένες ρυθμίσεις μπορεί να αλλάξουν εδώ.</b>';
+$lang['piclens_label_pwgstuff2'] = '<u> Σημείωση: </ u> Αντ\' αυτού, εγκαταστήστε το <a href=http://fr.piwigo.org/ext/extension_view.php?eid=190> PWG_Stuff </a> για να προσθέσετε το PicLens 3DWall μπλοκ (προσαρμόσιμη οθόνη στο PWG_Stuff).';
+$lang['piclens_label_sortCat'] = 'Piclens στις Κατηγορίες ';
+$lang['piclens_label_sortDown'] = 'ΚΆΤΩ';
+$lang['piclens_label_sortHome'] = 'PicLens στην Αρχική σελίδα';
+$lang['piclens_label_sortPiwigo'] = 'Προεπιλογή Piwigo';
+$lang['piclens_label_sortUp'] = 'ΠΆΝΩ';
+$lang['piclens_label_withoutrecursive'] = 'Χωρίς Αναδρομή';
+$lang['piclens_label_withrecursive'] = 'Με Αναδρομή';
+$lang['piclens_mostvisited_label'] = 'Πιο Δημοφιλή';
+$lang['piclens_picture_legend'] = 'Εικόνα';
+$lang['piclens_recentcats_label'] = 'Πρόσφατες κατηγορίες';
+$lang['piclens_recentpics_label'] = 'Πρόσφατες φωτογραφίες';
+$lang['piclens_recurs_mode_label'] = 'Μέθοδος Αναδρομής:';
+$lang['piclens_recurs_mode_rem'] = '<i>Ανεξάρτητα από την επιλεγείσα μέθοδο <i>, η Wall 3D "Cooliris 3D Wall" (Tab 3) Λειτουργεί σε <b> Standard Method </b> </i>';
+$lang['piclens_recurs_mode_title'] = 'Μέθοδος Αναδρομής:';
+$lang['piclens_recursive_specifique_detail'] = 'Αρχική <br/>&nbsp;\- Κατηγορία Α <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Υποκατηγορία ΑΑ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Υποκατηγορία AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_ABxx<br/>&nbsp;\<br/>&nbsp;\- Κατηγορία B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Category BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Υποκατηγορία BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- pictures_BBxx<br/><br/>- Στην Αρχική σελίδα, μια ροή για κάθε κατηγορία περιέχει φωτογραφίες όλων των επιμέρους υποκατηγοριών (eg, ροή A and B ροές)<br/>- σε κάθε κατηγορία (π.χ. A), μια ροή για την κατηγορία περιέχει όλες τις εικόνες στην κατηγορία (π.χ. ροή Α) και μια ροή για κάθε υποκατηγορία περιέχει όλες τις φωτογραφίες στις υπο-κατηγορίες (π.χ. ροή AA και η ροή AB)';
+$lang['piclens_recursive_specifique_title'] = 'Συγκεκριμένη μέθοδος';
+$lang['piclens_recursive_specifique'] = 'Συγκεκριμένα';
+$lang['piclens_recursive_standard_detail'] = 'Αρχική<br/>&nbsp;\- Κατηγορία A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Υποκατηγορία AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Η Υποκατηγορία AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_ABxx<br/>&nbsp;\<br/>&nbsp;\- Κατηγορία B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Η Υποκατηγορία BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Η Υποκατηγορία BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- pictures_BBxx<br/><br/>- Στην Αρχική σελίδα, μια ροή  που περιέχει όλες τις εικόνες της Α και Β κατηγορίας και υποκατηγορίες τους (flux Home)<br/>- σε κάθε κατηγορία (π.χ. A), μια ροή περιέχει όλες τις εικόνες της κατηγορίας και των υποκατηγοριών (π.χ. Α και ΑΑ και AB)<br/>';
+$lang['piclens_recursive_standard_title'] = 'Πρότυπη Μέθοδος';
+$lang['piclens_recursive_standard'] = 'Πρότυπο';
+$lang['piclens_rss_icon'] = 'URL για το εικονίδιο της ροής του Cooliris';
+$lang['piclens_rss_title'] = 'Τίτλος της ροής RSS <i>(κενό για μη χρήση)</i>';
+$lang['piclens_rsscfg_IMGtype'] = 'Εικόνα Κανονικού τύπου χρήση σε PicLens slideshow';
+$lang['piclens_rsscfg_TNtype'] = 'Εικόνα τύπου Μικρογραφίας χρήση σε PicLens slideshow';
+$lang['piclens_rsscfg_desc'] = 'Περιγραφή των φωτογραφιών στο PicLens';
+$lang['piclens_rsscfg_exclude_double'] = 'Κατάργηση δύο αντιτύπων εικόνας στη ροή τροφοδοσίας (ίδια διαδρομή';
+$lang['piclens_rsscfg_ext1'] = '(Οποιαδήποτε επέκταση επιλεγεί => Χρήση όλων των επεκτάσεων στις ροές RSS)';
+$lang['piclens_rsscfg_ext2'] = 'Σημείωση: !NULL! αντιπροσωπεύουν τα αρχεία χωρίς μικρογραφίες (ορισμένα αρχεία βίντεο [.flv για παράδειγμα])';
+$lang['piclens_rsscfg_ext'] = 'Χρησιμοποιήστε αυτές τις επεκτάσεις αρχείων:';
+$lang['piclens_rsscfg_exttitle'] = 'Προβολή τύπου αρχείου στο PicLens';
+$lang['piclens_rsscfg_namecat'] = 'Εμφάνιση του ονόματος της Κατηγορίας';
+$lang['piclens_rsscfg_name'] = 'Όνομα Εικόνων στο PicLens';
+$lang['piclens_rsscfg_order1'] = 'Ταξινόμησης των εικόνων στο PicLens';
+$lang['piclens_rsscfg_order'] = 'Εμφάνιση σειράς φωτογραφιών στο PicLens';
+$lang['piclens_rsscfg_title'] = 'PicLens: Παράμετροι ροής RSS ';
+$lang['piclens_rsscfg_video'] = 'Υποστήριξη Βίντεο στο PicLens';
+$lang['piclens_rssfeed_tab'] = 'Ροή RSS ';
+$lang['piclens_secureimage_detail'] = 'Χρησιμοποιήστε τη μέθοδο getFile από το πρόσθετο SecureImage για να φορτώσετε τις εικόνες.';
+$lang['piclens_stuff_notparam'] = '<b>Ειδικοί παράμετροι για το πρόσθετο PicLens Cooliris. Δεν χρησιμοποιείται στο πρόσθετο PWG Stuff</b>';
+$lang['piclens_stuff_param_commun'] = '<b>Οι παράμετροι μπορεί να είναι κοινές στα πρόσθετα Cooliris PicLens και PWG-Stuff</b>';
+$lang['piclens_stuffs_description'] = 'Προβολή του PicLens 3D wall';
+$lang['piclens_stuffs_info_param'] = 'Οι Ρυθμίσεις 3D Wall πρέπει να τροποποιηθούν στη σελίδα ρυθμίσεων του πρόσθετου <b>Cooliris-piclens/b>.';
+$lang['piclens_tags_label'] = 'Ετικέτες';
+$lang['piclens_wallcfg_actived'] = 'Ενεργοποίηση του Cooliris 3DWall';
+$lang['piclens_wallcfg_backgroundAlpha'] = 'Διαφάνεια φόντου [0.0-1.0]';
+$lang['piclens_wallcfg_backgroundColor'] = 'Χρώμα για το φόντο';
+$lang['piclens_wallcfg_backgroundImage'] = 'URL της εικόνας φόντου για το 3D wall';
+$lang['piclens_wallcfg_cat_nav1'] = 'Κατηγορίες για τις οποίες ο τοίχος αντικαθιστά την πλοήγηση 3D:';
+$lang['piclens_wallcfg_cat_nav'] = 'Αντικατάσταση των μικρογραφιών πλοήγησης στις κατηγορίες από το Cooliris 3D Wall';
+$lang['piclens_wallcfg_cat'] = 'Κατηγορίες που περιλαμβάνονται στο Cooliris 3D Wall (όταν η παράμετρος «ειδικές»):';
+$lang['piclens_wallcfg_colorB'] = 'Μαύρο';
+$lang['piclens_wallcfg_colorD'] = 'Σκούρο';
+$lang['piclens_wallcfg_colorL'] = 'Ανοιχτό';
+$lang['piclens_wallcfg_colorW'] = 'Λευκό';
+$lang['piclens_wallcfg_color'] = 'Χρώμα φόντου για το Cooliris 3D Wall';
+$lang['piclens_wallcfg_customButtonTARGET'] = 'Στόχος για το προσαρμοσμένο κουμπί';
+$lang['piclens_wallcfg_customButtonURL'] = 'URL για το προσαρμοσμένο κουμπί στην κάτω δεξιά γωνία της γραμμής εργαλείων';
+$lang['piclens_wallcfg_descriptionHeight'] = 'Ύψος του ονόματος και της περιγραφής επικάλυψης [0-100]';
+$lang['piclens_wallcfg_disp_opt1'] = 'Αρχική';
+$lang['piclens_wallcfg_disp_opt2'] = 'Κατηγορίες';
+$lang['piclens_wallcfg_disp'] = 'Επιλέγοντας απεικόνιση Cooliris 3D Wall:';
+$lang['piclens_wallcfg_glowColor'] = 'Χρώμα της λάμψης γύρω από την επιλεγμένη εικόνα';
+$lang['piclens_wallcfg_heigh'] = 'Ύψος για το Cooliris 3D Wall';
+$lang['piclens_wallcfg_icons'] = 'Κατάλογος των εικόνων PNG για προσαρμοσμένα εικονίδια στη γραμμή εργαλείων';
+$lang['piclens_wallcfg_info_suite'] = 'στη ρίζα του site (ή να τροποποιήσουν το υπάρχον)';
+$lang['piclens_wallcfg_info'] = '<b>Σημαντικό για τη λειτουργία του 3DWall: </b>Είναι απαραίτητο να αντιγράψετε το αρχείο';
+$lang['piclens_wallcfg_linkCSS'] = 'CSS όρος που θα εφαρμόζεται στις περιγραφές';
+$lang['piclens_wallcfg_name'] = 'Τίτλος Cooliris 3D Wall:';
+$lang['piclens_wallcfg_navoption_title'] = 'Πλοήγηση με το Cooliris 3D Wall';
+$lang['piclens_wallcfg_nbligne'] = 'Αριθμός σειρών που να εμφανίζονται στον τοίχο';
+$lang['piclens_wallcfg_option-opt1'] = 'Εμφάνιση συνδέσμων (ενσωματωμένων) της σελίδας μοίρασμα στο Facebook και στο Twitter μέσα στο 3D wall';
+$lang['piclens_wallcfg_option-opt2'] = 'Εμφάνιση συνδέσμου "πλήρους προβολής" ';
+$lang['piclens_wallcfg_option-opt3'] = 'Εμφάνιση συνδέσμου "Αναζήτηση"';
+$lang['piclens_wallcfg_option-opt4'] = 'Εμφάνιση συνδέσμων "Κοινοποίηση"';
+$lang['piclens_wallcfg_option-opt5'] = 'Εμφάνιση του κουμπιού που συνδέει το αρχικό περιεχόμενο';
+$lang['piclens_wallcfg_option-opt6'] = 'Εμφάνιση του κουμπιού "Κλείσιμο" για μεμονωμένα στοιχεία';
+$lang['piclens_wallcfg_option'] = 'Επιλογές εμφάνισης του Cooliris 3D Wall:';
+$lang['piclens_wallcfg_paramNORM'] = 'Πρότυπο (ίδιο για όλα τα λευκώματα)';
+$lang['piclens_wallcfg_paramSPEC'] = 'Ειδικό (διαμόρφωση από τις παρακάτω κατηγορίες)';
+$lang['piclens_wallcfg_param'] = 'Παράμετροι Cooliris 3D Wall';
+$lang['piclens_wallcfg_showChrome'] = 'Εμφανίζει του φόντου στη γραμμή εργαλείων στο κάτω μέρος της σελίδας';
 ?>