Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 16297)
+++ /extensions/stripped/readme.txt	(revision 16298)
@@ -31,4 +31,10 @@
 Changelog
 ---------
+
+*** version 2.2.2
+
+- rating score fix
+- link to album on image
+- new language (thanks to the translator)
 
 *** version 2.2.1
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 16297)
+++ /extensions/stripped/template/picture.tpl	(revision 16298)
@@ -52,5 +52,5 @@
         {/if}{/strip}
 		{strip}{if isset($current.U_DOWNLOAD)}
-			<li><a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}">{'download'|@translate}</a></li>
+			<li><a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}">{'Download'|@translate}</a></li>
 		{/if}{/strip}
 		{strip}{if isset($PLUGIN_PICTURE_ACTIONS)}
@@ -158,5 +158,5 @@
 		{if $display_info.categories}{assign var='display_count' value=$display_count+1}{/if}
 		{if $display_info.visits}{assign var='display_count' value=$display_count+1}{/if}
-		{if $display_info.average_rate and isset($rate_summary) }{assign var='display_count' value=$display_count+1}{/if}
+		{if $display_info.rating_score and isset($rate_summary) }{assign var='display_count' value=$display_count+1}{/if}
 		{if isset($rating)}{assign var='display_count' value=$display_count+1}{/if}
 		{if $display_info.privacy_level and isset($available_permission_levels) }{assign var='display_count' value=$display_count+1}{/if}
@@ -279,14 +279,18 @@
 						{/if}
 
-						{if $display_info.average_rate and isset($rate_summary) }
-							<tr id="Average">
-								<td class="label">{'Average rate'|@translate}</td>
-								<td class="value" id="ratingSummary">
-								{if $rate_summary.count}
-									{assign var='rate_text' value='%.2f (rated %d times)'|@translate }
-									{$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count) }
-								{else}
-									{'no rate'|@translate}
-								{/if}
+						{if $display_info.rating_score and isset($rate_summary) }
+							<tr id="Score">
+								<td class="label">{'Rating score'|@translate}</td>
+								<td class="value">
+									{if $rate_summary.count}
+										{if $rate_summary.count == 1}
+											{assign var='rate_text' value='%d rate'|@translate}
+										{else}
+											{assign var='rate_text' value='%d rates'|@translate}
+										{/if}
+										<span id="ratingScore">{$rate_summary.score}</span> <span id="ratingCount">({$pwg->sprintf($rate_text, $rate_summary.count)})</span>
+									{else}
+										<span id="ratingScore">{'no rate'|@translate}</span> <span id="ratingCount"></span>
+									{/if}
 								</td>
 							</tr>
@@ -294,5 +298,5 @@
 					  
 						{if isset($rating)}
-							<tr id="rating">
+							<tr id="Rating">
 								<td class="label">
 									<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span>
Index: /extensions/stripped/template/picture_content.tpl
===================================================================
--- /extensions/stripped/template/picture_content.tpl	(revision 16297)
+++ /extensions/stripped/template/picture_content.tpl	(revision 16298)
@@ -28,12 +28,12 @@
 	{/if}
 	{if ($stripped.imageArrows) }
-<!--		{if isset($U_UP)}
-			<a href="{$U_UP}" class="cat_up">&nbsp;</a>
-		 {/if}-->
+		{if isset($U_UP)}
+			<a href="{$U_UP}" class="img_nav cat_up" alt="{'Thumbnails'|@translate}">&nbsp;</a>
+		{/if}
 		{if isset($previous)}
-			<a href="{$previous.U_IMG}" class="img_nav img_prev">&nbsp;</a>
+			<a href="{$previous.U_IMG}" class="img_nav img_prev" alt="{$previous.TITLE}">&nbsp;</a>
 		{/if}
 		{if isset($next)}
-			<a href="{$next.U_IMG}" class="img_nav img_next">&nbsp;</a>
+			<a href="{$next.U_IMG}" class="img_nav img_next" alt="{$next.TITLE}">&nbsp;</a>
 		{/if}
 	{/if}