Index: /extensions/hr_glass_xl/iconset.css
===================================================================
--- /extensions/hr_glass_xl/iconset.css	(revision 16304)
+++ /extensions/hr_glass_xl/iconset.css	(revision 16305)
@@ -1,51 +1,55 @@
 .pwg-icon {
-	background-image: url(icon/SPRITE.png);
+	background-image: url(icon/sprite.png);
 }
 A.pwg-button {
 	border:none;
 }
-.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+.pwg-icon-arrow-e{ background-position: 0 -37px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -74px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-n{ background-position: 0 -111px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-w{ background-position: 0 -148px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -185px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-e{ background-position: 0 -222px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -259px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-w{ background-position: 0 -296px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -333px; width: 22px; height: 22px; } 
+.pwg-icon-caddie-add{ background-position: 0 -370px; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: 0 -409px; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: 0 -446px; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: 0 -485px; width: 22px; height: 22px; } 
+.pwg-icon-category-edit{ background-position: 0 -522px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-flat{ background-position: 0 -559px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-normal{ background-position: 0 -596px; width: 22px; height: 22px; } 
+.pwg-icon-chat{ background-position: 0 -633px; width: 22px; height: 22px; } 
+.pwg-icon-clock-minus{ background-position: 0 -670px; width: 22px; height: 22px; } 
+.pwg-icon-clock-plus{ background-position: 0 -707px; width: 22px; height: 22px; } 
+.pwg-icon-close{ background-position: 0 -744px; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: 0 -783px; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: 0 -820px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-add{ background-position: 0 -857px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-del{ background-position: 0 -894px; width: 22px; height: 22px; } 
+.pwg-icon-filter-del{ background-position: 0 -931px; width: 24px; height: 24px; } 
+.pwg-icon-filter{ background-position: 0 -970px; width: 24px; height: 24px; } 
+.pwg-icon-help{ background-position: 0 -1009px; width: 22px; height: 22px; } 
+.pwg-icon-home{ background-position: 0 -1046px; width: 22px; height: 22px; } 
+.pwg-icon-letters{ background-position: 0 -1083px; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: 0 -1120px; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: 0 -1159px; width: 22px; height: 22px; } 
+.pwg-icon-play{ background-position: 0 -1196px; width: 22px; height: 22px; } 
+.pwg-icon-register{ background-position: 0 -1233px; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: 0 -1272px; width: 22px; height: 22px; } 
+.pwg-icon-repeat-stop{ background-position: 0 -1309px; width: 22px; height: 22px; } 
+.pwg-icon-representative{ background-position: 0 -1346px; width: 22px; height: 22px; } 
+.pwg-icon-map, .pwg-icon-globe , .pwg-icon-rss{ background-position: 0 -1383px; width: 22px; height: 22px; } 
+.pwg-icon-save{ background-position: 0 -1420px; width: 24px; height: 24px; } 
+.pwg-icon-search{ background-position: 0 -1459px; width: 22px; height: 22px; } 
+#derivativeSwitchLink{width: 48px !important; height: 24px; }
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-slideshow{ background-position: 0 -1535px; width: 22px; height: 22px; } 
+.pwg-icon-small_resizable{ background-position: 0 -1572px; width: 16px; height: 16px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
+.pwg-icon-stop{ background-position: 0 -1642px; width: 22px; height: 22px; } 
+.pwg-icon-tag{ background-position: 0 -1679px; width: 22px; height: 22px; } 
+.pwg-icon-upload{ background-position: 0 -1716px; width: 22px; height: 22px; } 
 
-.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
-.pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
-
-.pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
-.pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
-.pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
-.pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
-.pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
-.pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
-.pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
-.pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
-.pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
-.pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
-.pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
-.pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
-.pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
-.pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
-.pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
-.pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
-.pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
-.pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
-.pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
-.pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
-.pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
-.pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
-.pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
-.pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
-.pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
-.pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
-.pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
-.pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
-.pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
Index: /extensions/hr_glass_xl/theme.css
===================================================================
--- /extensions/hr_glass_xl/theme.css	(revision 16304)
+++ /extensions/hr_glass_xl/theme.css	(revision 16305)
@@ -186,7 +186,4 @@
 -----------------------------------------------------------------------------------------------*/
 .thumbnails SPAN, .thumbnails .wrap2 A, .thumbnails LABEL, .thumbnailCategory DIV.illustration {width:auto;}
-#content ul.thumbnails span.wrap2{ width: 172px; height:150px; }
-#content DIV.thumbnailCategory DIV.description { height: 100px; }		/* max thumbnail height + 2px */
-#content DIV.thumbnailCategory DIV.illustration img { height: 96px; }
 #content DIV.thumbnailCategory DIV.illustration a:hover { border:0; }
 
@@ -218,5 +215,5 @@
 /*	Menu
 -----------------------------------------------------------------------------------------------*/
-#menubar .button {
+.pwg-icon-filter {
 left:95%;
 position:absolute;
Index: /extensions/hr_os/iconset.css
===================================================================
--- /extensions/hr_os/iconset.css	(revision 16304)
+++ /extensions/hr_os/iconset.css	(revision 16305)
@@ -1,51 +1,55 @@
 .pwg-icon {
-	background-image: url(icon/SPRITE.png);
+	background-image: url(icon/sprite.png);
 }
 A.pwg-button {
 	border:none;
 }
-.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+.pwg-icon-arrow-e{ background-position: 0 -37px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -74px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-n{ background-position: 0 -111px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-w{ background-position: 0 -148px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -185px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-e{ background-position: 0 -222px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -259px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-w{ background-position: 0 -296px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -333px; width: 22px; height: 22px; } 
+.pwg-icon-caddie-add{ background-position: 0 -370px; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: 0 -409px; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: 0 -446px; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: 0 -485px; width: 22px; height: 22px; } 
+.pwg-icon-category-edit{ background-position: 0 -522px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-flat{ background-position: 0 -559px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-normal{ background-position: 0 -596px; width: 22px; height: 22px; } 
+.pwg-icon-chat{ background-position: 0 -633px; width: 22px; height: 22px; } 
+.pwg-icon-clock-minus{ background-position: 0 -670px; width: 22px; height: 22px; } 
+.pwg-icon-clock-plus{ background-position: 0 -707px; width: 22px; height: 22px; } 
+.pwg-icon-close{ background-position: 0 -744px; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: 0 -783px; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: 0 -820px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-add{ background-position: 0 -857px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-del{ background-position: 0 -894px; width: 22px; height: 22px; } 
+.pwg-icon-filter-del{ background-position: 0 -931px; width: 24px; height: 24px; } 
+.pwg-icon-filter{ background-position: 0 -970px; width: 24px; height: 24px; } 
+.pwg-icon-help{ background-position: 0 -1009px; width: 22px; height: 22px; } 
+.pwg-icon-home{ background-position: 0 -1046px; width: 22px; height: 22px; } 
+.pwg-icon-letters{ background-position: 0 -1083px; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: 0 -1120px; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: 0 -1159px; width: 22px; height: 22px; } 
+.pwg-icon-play{ background-position: 0 -1196px; width: 22px; height: 22px; } 
+.pwg-icon-register{ background-position: 0 -1233px; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: 0 -1272px; width: 22px; height: 22px; } 
+.pwg-icon-repeat-stop{ background-position: 0 -1309px; width: 22px; height: 22px; } 
+.pwg-icon-representative{ background-position: 0 -1346px; width: 22px; height: 22px; } 
+.pwg-icon-map, .pwg-icon-globe , .pwg-icon-rss{ background-position: 0 -1383px; width: 22px; height: 22px; } 
+.pwg-icon-save{ background-position: 0 -1420px; width: 24px; height: 24px; } 
+.pwg-icon-search{ background-position: 0 -1459px; width: 22px; height: 22px; } 
+#derivativeSwitchLink{width: 48px !important; height: 24px; }
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-slideshow{ background-position: 0 -1535px; width: 22px; height: 22px; } 
+.pwg-icon-small_resizable{ background-position: 0 -1572px; width: 16px; height: 16px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
+.pwg-icon-stop{ background-position: 0 -1642px; width: 22px; height: 22px; } 
+.pwg-icon-tag{ background-position: 0 -1679px; width: 22px; height: 22px; } 
+.pwg-icon-upload{ background-position: 0 -1716px; width: 22px; height: 22px; } 
 
-.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
-.pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
-
-.pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
-.pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
-.pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
-.pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
-.pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
-.pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
-.pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
-.pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
-.pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
-.pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
-.pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
-.pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
-.pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
-.pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
-.pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
-.pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
-.pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
-.pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
-.pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
-.pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
-.pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
-.pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
-.pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
-.pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
-.pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
-.pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
-.pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
-.pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
-.pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
Index: /extensions/hr_os/theme.css
===================================================================
--- /extensions/hr_os/theme.css	(revision 16304)
+++ /extensions/hr_os/theme.css	(revision 16305)
@@ -195,5 +195,5 @@
 -----------------------------------------------------------------------------------------------*/
 
-#menubar .button {
+.pwg-icon-filter {
 left:95%;
 position:absolute;
Index: /extensions/hr_os_xl/iconset.css
===================================================================
--- /extensions/hr_os_xl/iconset.css	(revision 16304)
+++ /extensions/hr_os_xl/iconset.css	(revision 16305)
@@ -1,51 +1,55 @@
 .pwg-icon {
-	background-image: url(icon/SPRITE.png);
+	background-image: url(icon/sprite.png);
 }
 A.pwg-button {
 	border:none;
 }
-.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
-.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+.pwg-icon-arrow-e{ background-position: 0 -37px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -74px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-n{ background-position: 0 -111px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-w{ background-position: 0 -148px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -185px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-e{ background-position: 0 -222px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -259px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-w{ background-position: 0 -296px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -333px; width: 22px; height: 22px; } 
+.pwg-icon-caddie-add{ background-position: 0 -370px; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: 0 -409px; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: 0 -446px; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: 0 -485px; width: 22px; height: 22px; } 
+.pwg-icon-category-edit{ background-position: 0 -522px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-flat{ background-position: 0 -559px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-normal{ background-position: 0 -596px; width: 22px; height: 22px; } 
+.pwg-icon-chat{ background-position: 0 -633px; width: 22px; height: 22px; } 
+.pwg-icon-clock-minus{ background-position: 0 -670px; width: 22px; height: 22px; } 
+.pwg-icon-clock-plus{ background-position: 0 -707px; width: 22px; height: 22px; } 
+.pwg-icon-close{ background-position: 0 -744px; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: 0 -783px; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: 0 -820px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-add{ background-position: 0 -857px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-del{ background-position: 0 -894px; width: 22px; height: 22px; } 
+.pwg-icon-filter-del{ background-position: 0 -931px; width: 24px; height: 24px; } 
+.pwg-icon-filter{ background-position: 0 -970px; width: 24px; height: 24px; } 
+.pwg-icon-help{ background-position: 0 -1009px; width: 22px; height: 22px; } 
+.pwg-icon-home{ background-position: 0 -1046px; width: 22px; height: 22px; } 
+.pwg-icon-letters{ background-position: 0 -1083px; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: 0 -1120px; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: 0 -1159px; width: 22px; height: 22px; } 
+.pwg-icon-play{ background-position: 0 -1196px; width: 22px; height: 22px; } 
+.pwg-icon-register{ background-position: 0 -1233px; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: 0 -1272px; width: 22px; height: 22px; } 
+.pwg-icon-repeat-stop{ background-position: 0 -1309px; width: 22px; height: 22px; } 
+.pwg-icon-representative{ background-position: 0 -1346px; width: 22px; height: 22px; } 
+.pwg-icon-map, .pwg-icon-globe , .pwg-icon-rss{ background-position: 0 -1383px; width: 22px; height: 22px; } 
+.pwg-icon-save{ background-position: 0 -1420px; width: 24px; height: 24px; } 
+.pwg-icon-search{ background-position: 0 -1459px; width: 22px; height: 22px; } 
+#derivativeSwitchLink{width: 48px !important; height: 24px; }
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-slideshow{ background-position: 0 -1535px; width: 22px; height: 22px; } 
+.pwg-icon-small_resizable{ background-position: 0 -1572px; width: 16px; height: 16px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
+.pwg-icon-stop{ background-position: 0 -1642px; width: 22px; height: 22px; } 
+.pwg-icon-tag{ background-position: 0 -1679px; width: 22px; height: 22px; } 
+.pwg-icon-upload{ background-position: 0 -1716px; width: 22px; height: 22px; } 
 
-.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
-.pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
-.pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
-.pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
-
-.pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
-.pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
-.pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
-.pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
-.pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
-.pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
-.pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
-.pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
-.pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
-.pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
-.pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
-.pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
-.pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
-.pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
-.pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
-.pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
-.pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
-.pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
-.pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
-.pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
-.pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
-.pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
-.pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
-.pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
-.pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
-.pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
-.pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
-.pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
-.pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
-.pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
-.pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
Index: /extensions/hr_os_xl/theme.css
===================================================================
--- /extensions/hr_os_xl/theme.css	(revision 16304)
+++ /extensions/hr_os_xl/theme.css	(revision 16305)
@@ -196,7 +196,7 @@
 -----------------------------------------------------------------------------------------------*/
 
-#menubar .button {
-left: 95%;
-position: absolute;
+.pwg-icon-filter {
+left:95%;
+position:absolute;
 }
 