Index: extensions/PersoFavicon/language/sk_SK/description.txt
===================================================================
--- extensions/PersoFavicon/language/sk_SK/description.txt	(revision 16314)
+++ extensions/PersoFavicon/language/sk_SK/description.txt	(revision 16314)
@@ -0,0 +1,1 @@
+Zmena Piwigo favicon z lok&aacute;lneho adres&aacute;ra
Index: extensions/PersoFavicon/language/sk_SK/index.php
===================================================================
--- extensions/PersoFavicon/language/sk_SK/index.php	(revision 16314)
+++ extensions/PersoFavicon/language/sk_SK/index.php	(revision 16314)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/PersoFavicon/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/PersoFavicon/language/sk_SK/plugin.lang.php	(revision 16314)
+++ extensions/PersoFavicon/language/sk_SK/plugin.lang.php	(revision 16314)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['help'] = 'N&aacute;poveda';
+$lang['pfi_actu2'] = 'VAROVANIE: bude prep&iacute;san&aacute; novou, ktor&uacute; vlo&#382;&iacute;te';
+$lang['pfi_actu'] = 'Ikona sa nach&aacute;dza v lok&aacute;lnom adres&aacute;ri';
+$lang['pfi_aide1T'] = 'Prida&#357; formul&aacute;r';
+$lang['pfi_aide1'] = 'M&ocirc;&#382;ete prida&#357; favicon pou&#382;it&iacute;m formul&aacute;ra na pridanie, ktor&aacute; bude automaticky prep&iacute;san&aacute; na favicon.ico a prep&iacute;&#353;e u&#382; mo&#382;no existuj&uacute;cu, ktor&aacute; sa m&ocirc;&#382;e nach&aacute;dza&#357; v lok&aacute;lnom adres&aacute;ri.<br>Maxim&aacute;lna velkos&#357; s&uacute;boru 5Kb.<br>Z&aacute;le&#382;&iacute; od prehliada&#269;a &#269;i tam je time-to-date';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'Ak prid&aacute;te favicon cez FTP, ktor&aacute; ma in&yacute; n&aacute;zov ako favicon, potom m&ocirc;&#382;ete prida&#357; tento n&aacute;zov do konfigura&#269;n&eacute;ho s&uacute;boru<br>$conf[\'PersoFavicon\']=\'V&aacute;&#353; n&aacute;zov\'';
+$lang['pfi_ajout'] = 'Prida&#357; ikonu';
+$lang['pfi_envoie'] = 'Vlo&#382;i&#357; do lok&aacute;lneho adres&aacute;ra';
+$lang['pfi_erreur_exist'] = 'S&uacute;bor bol zmenen&yacute;';
+$lang['pfi_erreur_ext'] = 'Mus&iacute;te vlo&#382;i&#357; s&uacute;bor typu .ico';
+$lang['pfi_erreur_mouve'] = 'Nie je mo&#382;ne zkop&iacute;rova&#357; s&uacute;bor v "lok&aacute;lnom" adres&aacute;ri';
+$lang['pfi_erreur_nom'] = 'Neplatn&eacute; meno s&uacute;boru';
+$lang['pfi_erreur_taille'] = 'Mus&iacute;te vlo&#382;i&#357; s&uacute;bor maxim&aacute;lne 5Kb';
+$lang['pfi_erreur_vide'] = 'S&uacute;bor nebol n&aacute;jden&yacute;';
+$lang['pfi_h2'] = 'Perso Favicon Plugin';
+$lang['pfi_ok'] = 'S&uacute;bor bol ulo&#382;en&yacute;';
+$lang['pfi_select'] = 'Vyberte s&uacute;bor ikony (.ico)';
+$lang['pfi_validdef'] = 'Potvr&#271;te V&aacute;&#353; v&yacute;ber - ak u&#382; existuje, s&uacute;&#269;asn&aacute; favicon bude prep&iacute;san&aacute;';
+?>