Index: trunk/language/zh_CN/common.lang.php
===================================================================
--- trunk/language/zh_CN/common.lang.php	(revision 15662)
+++ trunk/language/zh_CN/common.lang.php	(revision 16322)
@@ -59,5 +59,5 @@
 $lang['Album'] = "相册";
 $lang['Close this window'] = "关闭此窗口";
-$lang['Complete RSS feed (photos, comments)'] = "完整的RSS feed(照片，评论)";
+$lang['Complete RSS feed (photos, comments)'] = '完整RSS(图片，评论)';
 $lang['Confirm Password'] = "确认密码";
 $lang['Connection settings'] = '注册信息';
@@ -84,10 +84,10 @@
 $lang['Help'] = '帮助';
 $lang['Identification'] = '用户信息';
-$lang['Photos only RSS feed'] = '图片RSS';
+$lang['Photos only RSS feed'] = '仅图片RSS';
 $lang['Keyword'] = '关键字';
 $lang['Links'] = '链接';
 $lang['N/A'] = '不存在';
 $lang['New on %s'] = '创建于 %s';
-$lang['Notification'] = '通知';
+$lang['Notification'] = 'RSS';
 $lang['Number of items'] = '总数';
 $lang['Original dimensions'] = '原始大小';
@@ -98,5 +98,5 @@
 $lang['Profile'] = '用户信息';
 $lang['Quick connect'] = '快速登录';
-$lang['RSS feed'] = 'RSS流';
+$lang['RSS feed'] = '订阅RSS通知';
 $lang['Register'] = '注册';
 $lang['Registration'] = '注册';
@@ -108,11 +108,11 @@
 $lang['Search'] = '搜索';
 $lang['display available tags'] = '查看现有标签';
-$lang['Since'] = '从';
-$lang['Sort by'] = '排序';
-$lang['Sort order'] = '排序';
+$lang['Since'] = '时间';
+$lang['Sort by'] = '排序字段';
+$lang['Sort order'] = '排序方式';
 $lang['Tag'] = '标签';
 $lang['Tags'] = '标签';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS摘要，从本网站上获取通知：新图片，相册更新，新评论。要使用RSS阅读器来查看这些.';
-$lang['Unknown feed identifier'] = '未知RSS流标识';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = '通过订阅RSS，您可以从本网站及时获取新图片，相册更新与新评论。您可以通过RSS阅读器来订阅。';
+$lang['Unknown feed identifier'] = '未知RSS标识';
 $lang['User comments'] = '用户评论';
 $lang['Username'] = '用户名';
@@ -134,5 +134,5 @@
 $lang['Best rated'] = '得票最高';
 $lang['display best rated photos'] = '显示得票最高的图片';
-$lang['Calendar'] = '日历';
+$lang['Calendar'] = '图片日历';
 $lang['All'] = '所有';
 $lang['display each day with photos, month per month'] = '按时间顺序显示';
@@ -201,8 +201,8 @@
 $lang['Maximum photo width'] = '图片的最大宽度';
 $lang['Maximum width must be a number superior to 50'] = '图片最大宽度必须大于50';
-$lang['display a calendar by creation date'] = '通过创建时间显示日历';
+$lang['display a calendar by creation date'] = '按创建时间显示日历';
 $lang['display all photos in all sub-albums'] = '显示所有相册和子相册的图片';
-$lang['return to normal view mode'] = '返回到普通模式显示';
-$lang['display a calendar by posted date'] = '通过发布时间来显示日历';
+$lang['return to normal view mode'] = '返回到普通视图';
+$lang['display a calendar by posted date'] = '按发布时间显示日历';
 $lang['month'][10] = '十月';
 $lang['month'][11] = '十一月';
@@ -273,7 +273,7 @@
 $lang['SQL queries in'] = 'SQL搜索语句';
 $lang['display only recently posted photos'] = '只显示最新图片';
-$lang['return to the display of all photos'] = '返回到所有图片页面';
-$lang['the beginning'] = '开始';
-$lang['Interface theme'] = '主题';
+$lang['return to the display of all photos'] = '显示所有图片';
+$lang['the beginning'] = '所有时间';
+$lang['Interface theme'] = '界面主题';
 $lang['Thumbnails'] = '缩略图';
 $lang['Menu'] = '菜单';
@@ -310,9 +310,9 @@
 $lang['Yes'] = '是';
 $lang['No'] = '否';
-$lang['%d photo']='%d 张图片';
-$lang['%d photos']='%d 张图片';
-$lang['%d photo is also linked to current tags'] = '%d 张图片与当前标签相关';
-$lang['%d photos are also linked to current tags'] = '%d 张图片与当前标签相关';
-$lang['display photos linked to this tag'] = '只查看和此标签相关的图片';
+$lang['%d photo'] = '%d张图片';
+$lang['%d photos'] = '%d张图片';
+$lang['%d photo is also linked to current tags'] = '当前标签有%d张图片';
+$lang['%d photos are also linked to current tags'] = '当前标签有%d张图片';
+$lang['display photos linked to this tag'] = '在此标签上显示图片链接';
 $lang['photos posted during the last %d days'] = '在最近%d天里更新的图片';
 $lang['Piwigo Help'] = 'Piwigo帮助';
@@ -342,6 +342,6 @@
 $lang['%d rates'] = '%d 评分';
 $lang['Rating score'] = '评价得分';
-$lang['The number of photos per page must be a not null scalar'] = '每页相片数量必须大于0';
-$lang['Number of photos per page'] = '每页相片数量';
+$lang['The number of photos per page must be a not null scalar'] = '每页图片数量必须大于0';
+$lang['Number of photos per page'] = '每页图片数量';
 $lang['display photos linked to this tag'] = '在此标签上显示相片链接';
 $lang['Invalid username or email'] = '用户名或邮件地址无效';
@@ -369,10 +369,10 @@
 $lang['Here are your connection settings'] = '您的注册信息';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = '如果您觉得您收到有邮件有误，请联系我们 %s';
-$lang['large'] = '大尺寸';
-$lang['medium'] = '中尺寸';
+$lang['large'] = 'L';
+$lang['medium'] = 'M';
 $lang['Original'] = '原始尺寸';
 $lang['Password: %s'] = '密码：%s';
 $lang['Send my connection settings by email'] = '发送注册信息到我的Email';
-$lang['small'] = '小尺寸';
+$lang['small'] = 'S';
 $lang['square'] = '图标';
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '注册成功，您马上会收到注册信息邮件。感谢您注册！';
@@ -381,8 +381,8 @@
 $lang['Username modification'] = '修改用户名';
 $lang['Username: %s'] = '用户名：%s';
-$lang['xlarge'] = '很大尺寸';
-$lang['xxlarge'] = '非常大尺寸';
+$lang['xlarge'] = 'XL';
+$lang['xxlarge'] = 'XXL';
 $lang['Your username has been successfully changed to : %s'] = '您的用户名成功修改为：%s';
-$lang['Photo sizes'] = '';
+$lang['Photo sizes'] = '缩放图片';
 $lang['Desktop'] = '桌面版';
 $lang['Mobile'] = '手机版';
@@ -390,6 +390,6 @@
 $lang['Show oldest comments first'] = '先显示旧评论';
 $lang['View in'] = '查看';
-$lang['2small'] = 'XXS - 微小';
-$lang['xsmall'] = 'XS - 非常小';
+$lang['2small'] = 'XXS';
+$lang['xsmall'] = 'XS';
 $lang['Date created, new &rarr; old'] = '创建日期, 新 &rarr; 旧';
 $lang['Date created, old &rarr; new'] = '创建日期, 旧 &rarr; 新';