Index: /extensions/hotlink_compatibility/language/el_GR/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/el_GR/desc_content.html	(revision 16325)
+++ /extensions/hotlink_compatibility/language/el_GR/desc_content.html	(revision 16325)
@@ -0,0 +1,8 @@
+Το Piwigo 2.4 εισάγει το χαρακτηριστικό Multisize το οποίο περιλαμβάνει πολλές τεχνικές αλλαγές, ειδικά με το σύστημα αρχείων: αντί για 2 ή 3 εκδώσεις κάθε φωτογραφίας (websize, μικρογραφία, υψηλής ευκρίνειας), κρατάμε τώρα μόνο μια έκδοση (αρχική) στους καταλόγους <i>upload</i> και <i>galleries</i>. Οι συνέπειες είναι:
+<ul>
+  <li>hotlinks στο "μέγεθος web" γίνεται hotlinks στα πρωτότυπα</li>
+  <li>hotlinks στο HD δεν λειτουργούν πλέον</li>
+  <li>hotlinks στις μικρογραφίες δεν λειτουργούν πλέον</li>
+</ul>
+Για να λυθεί αυτό, δημιουργήσαμε αυτό το πρόσθετο που προσπαθεί να δημιουργήσετε ή να τροποποιήσετε το αρχείο .htaccess στη ρίζα της εγκατάστασής σας. Αυτό το αρχείο περιέχει κάποιους κανόνες επανεγγραφής και ενημερώνει τον host σας ότι οι συνδέσεις με εικόνες έχουν αλλάξει.<br>
+<b>Εάν δεν χρησιμοποιήτε hotlinks στην γκαλερί σας μπορείτε να μην εφαρμόσετε την ακόλουθη αναβάθμιση και αφαιρέστε αυτό το πρόσθετο.</b>
Index: /extensions/hotlink_compatibility/language/el_GR/description.txt
===================================================================
--- /extensions/hotlink_compatibility/language/el_GR/description.txt	(revision 16325)
+++ /extensions/hotlink_compatibility/language/el_GR/description.txt	(revision 16325)
@@ -0,0 +1,1 @@
+Ενημερώστε το αρχείο .htaccess σας για την επίλυση παλαιών hotlinks σας, άχρηστα για τους νέους χρήστες στο Piwigo 2,4 ή νεότερο.
Index: /extensions/hotlink_compatibility/language/el_GR/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/el_GR/index.php	(revision 16325)
+++ /extensions/hotlink_compatibility/language/el_GR/index.php	(revision 16325)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/el_GR/plugin.lang.php	(revision 16325)
+++ /extensions/hotlink_compatibility/language/el_GR/plugin.lang.php	(revision 16325)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = 'Το αρχείο .htaccess  δεν είναι εγγράψιμο';
+$lang['Apply upgrade anyway'] = 'Εφαρμόστε την αναβάθμιση ούτως ή άλλως';
+$lang['Apply upgrade'] = 'Εφαρμόστε την αναβάθμιση';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Το Piwigo δεν μπορεί να δημιουργήσει ή να τροποποιήσει το αρχείο .htaccess, θα πρέπει να το κάνετε μόνοι σας, αν θέλετε να εφαρμόσετε αυτή την αναβάθμιση. Εδώ είναι τι πρέπει να βάλετε στο αρχείο:';
+$lang['Unable to activate RewriteEngine'] = 'Δεν είναι δυνατή η ενεργοποίηση του RewriteEngine';
+$lang['Upgrade already applied, please remove this plugin'] = 'Η Αναβάθμιση αυτή εφαρμόστηκε ήδη, παρακαλούμε να αφαιρέστε αυτό το πρόσθετο';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Η Αναβάθμιση εφαρμόστηκε επιτυχώς, παρακαλούμε αφαιρέστε αυτό το πρόσθετο';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Έχετε ήδη ένα αρχείο .htaccess, αλλά αναστέλλει τη μηχανή επανεγγραφής  (στη σειρά <i>RewriteEngine off</i>), παρακαλούμε αφαιρέστε αυτή τη γραμμή για να επιτρέψετε στο  Piwigo να εφαρμόσει την αναβάθμιση.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Η Γκαλερί σας φιλοξενείται από μια υπηρεσία που είναι γνωστή ότι έχει προβλήματα με URL Rewriting, εφαρμόστε αυτή τη αναβάθμιση με δική σας ευθύνη.';
+$lang['Your host may be incompatible with URL rewriting'] = 'Ο πάροχος φιλοξενίας σας μπορεί να μην είναι συμβατός με  URL rewriting';
+?>