Index: extensions/adult_content/language/el_GR/index.php
===================================================================
--- extensions/adult_content/language/el_GR/index.php	(revision 16329)
+++ extensions/adult_content/language/el_GR/index.php	(revision 16329)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/adult_content/language/el_GR/plugin.lang.php
===================================================================
--- extensions/adult_content/language/el_GR/plugin.lang.php	(revision 16329)
+++ extensions/adult_content/language/el_GR/plugin.lang.php	(revision 16329)
@@ -0,0 +1,96 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ac_button_activ_16'] = 'Ενεργοποιήστε τα ερωτικά περιεχόμενα';
+$lang['ac_button_activ_18'] = 'Ενεργοποιήστε πορνογραφικό περιεχόμενο';
+$lang['ac_charte_user_def'] = 'ή αλλιώς πατήστε εδώ';
+$lang['ac_charte_user_not'] = 'Παρακαλώ επιλέξτε την ηλικία σας!';
+$lang['ac_def'] = 'Θέλετε να αλλάξετε την κατάστασή σας;';
+$lang['ac_fermer'] = 'ή κλείσιμο';
+$lang['ac_identif'] = 'ή είσοδος';
+$lang['ac_lien'] = 'αφαίρεση αυτής της προστασίας';
+$lang['ac_logout'] = 'ή αλλιώς πατήστε εδώ';
+$lang['ac_not_def'] = 'Αυτό το στάδιο είναι σημαντικό, αλλά δεν θα σας ζητηθεί ξανά πια';
+$lang['ac_retour_b'] = 'Δεν θέλω να δω αυτό το είδος του περιεχομένου';
+$lang['ac_retour_c'] = 'Επιστρέφω στην προηγούμενη σελίδα';
+$lang['ac_retour'] = 'Δεν θέλω να ενεργοποιήσω αυτό το είδος του περιεχομένου και θα επιστρέψω στην προηγούμενη σελίδα';
+$lang['ac_statut'] = 'Το Καταστατικό σας:';
+$lang['ac_text_activ_16'] = '<u> ... και εγγυώμαι στην τιμή μου ότι</ u>: <br>
+- <B>Είμαι 16 ή 17 ετών </ B> <br>
+- Προειδοποιήθηκα ότι αυτό το site προτείνει εικόνες με πορνογραφικό και ερωτικό χαρακτήρα. <br>
+- Οι νόμοι της χώρας μου, μου επιτρέπουν να έχω πρόσβαση σε αυτό το site.';
+$lang['ac_text_activ_18'] = '<u> ... και εγγυώμαι στην τιμή μου ότι</ u>: <br>
+-<B> Είμαι άνω των 18 ετών και είμαι μεγάλη</B>, σύμφωνα με τους νόμους που ισχύουν στην χώρα μου. <br>
+- Προειδοποιήθηκα ότι αυτό το site προτείνει εικόνες με πορνογραφικό και ερωτικό χαρακτήρα. <br>
+- Οι νόμοι της χώρας μου, μου επιτρέπουν να έχω πρόσβαση σε αυτό το site.';
+$lang['ac_text_charte'] = 'Μπαίνετε σε μια τοποθεσία το οπτικό περιεχόμενο της οποίας είναι ερωτικού και πορνογραφικού χαρακτήρα που προορίζονται αποκλειστικά για προειδοποιημένο κοινό και μπορεί να παρουσιάσει περιεχόμενο ερωτικού χαρακτήρα. Αυτό το site ασχολείται με τις μεγάλα και πρόθυμα άτομα. Η παρούσα ιστοσελίδα δεν φέρει καμία ευθύνη ως προς τη χρήση που θα γίνει από το περιεχόμενο και τις υπηρεσίες αυτού του site από κάθε μικρό ή μεγάλο πρόσωπο ενδέχεται να σοκαριστεί από αυτό. Κάθε πρόσωπο που συμφωνεί να εισέλθει σε αυτή την ιστοσελίδα που είναι αποκλειστικά και μόνον για προειδοποιημένο κοινό απαλλάσσεται την παρούσα ιστοσελίδα της όλες τις συνέπειες των προτροπών της. </p>
+<p> Αν παραβιάσω μία από τις δεσμεύσεις αυτές ή σε περίπτωση ψευδούς δήλωσης, μπορώ να είμαι παραβάτης των νόμων της χώρας μου, και <B> αναλαμβάνω όλη την ευθύνη των πράξεών μου</B>. Δηλώνω ότι έχω ενημερωθεί πλήρως σχετικά με το προτεινόμενο περιεχόμενο και να εγκαταλείπω οποιαδήποτε δικαστική διαδικασία εις βάρος του παρόχου πρόσβασης και των admistrators αυτής της ιστοσελίδας. Διάβασα προσεκτικά τις παραγράφους παραπάνω και υπογράφω τη συμφωνία μου ηλεκτρονικά με τα παραπάνω, κάνοντας κλικ στο κουμπί που αντιστοιχεί στην ηλικία μου.';
+$lang['ac_text'] = 'Αυτή η συλλογή περιλαμβάνει εικόνες για ώριμα άτομα ή \ και ενήλικες.';
+$lang['ac_title_fermer'] = 'φιλτραρισμένο περιεχόμενο';
+$lang['ac_title_menu_statut'] = 'Πληροφορίες';
+$lang['ac_title_menu'] = 'Προειδοποίηση';
+$lang['ac_user_no_s'] = 'Φιλτραρισμένο περιεχόμενο';
+$lang['ac_user_no'] = 'δεν θέλετε να ενεργοποιήσετε αυτό το είδος περιεχομένου';
+$lang['ac_user_text_16'] = 'Είστε 16 ή 17 ετών';
+$lang['ac_user_text_18'] = 'Είστε άνω των 18 ετών';
+$lang['ad_c_block_on_index_error_2'] = 'Το ελάχιστο που απαιτείται είναι PWG_Stuffs έκδοση 2.1.l';
+$lang['ad_c_block_on_index_error'] = 'Δεν διατίθεται προς το παρόν';
+$lang['ad_c_block_on_index'] = 'Είδατε ένα φυλλάδιο στην αρχική σελίδα; (Απαιτεί το πρόσθετο PWG_Stuffs)';
+$lang['ad_c_howitworks'] = 'Η αρχή αυτού του πρόσθετου είναι να βοηθήσει στη διαχείριση του περιεχομένου για ενήλικες (μπορεί επίσης να προσαρμοστεί για βίαιο περιεχόμενο). Για να γίνει αυτό, το πρόσθετο διαχειρίζεται τους επισκέπτες και / ή τους χρήστες που θέλετε, σύμφωνα με τον ορισμό σας των παραμέτρων του πρόσθετου.<br />
+<br />
+1 - Ως διαχειριστής πρέπει να βάλετε το περιεχόμενο σας για ενήλικες σε μια ιδιωτική γκαλερί ή λεύκωμα (το πρόσθετο δεν διαχειρίζεται τα δικαιώματα σε επίπεδο εικόνων το ίδιο, τουλάχιστον όχι ακόμα). Στη συνέχεια αποδίδει τον γκαλερί ή άλμπουμ στις δύο ομάδες  «18» και «16-17» (που δημιουργήθηκαν από το πρόσθετο) με αυτόν τον τρόπο:<br/><br/>
+- επιτρέπει στην ομάδα «18» να δει το περιεχόμενο για ενήλικες, που προορίζεται για τους χρήστες πάνω από το 18 ετών και το κανονικό περιεχόμενο (αλλά γενικά το κανονικό περιεχόμενο είναι συχνά δημόσιο)<br /> 
+<br />
+- επιτρέπει στην ομάδα «16-17» να δει το περιεχόμενο για ενήλικες που προορίζονται για τους χρήστες άνω των 16 ετών και το κανονικό περιεχόμενο (αλλά γενικά το κανονικό περιεχόμενο είναι συχνά δημόσιο)<br />
+<br />
+- Η ομάδα \'nothing\', θα δει το κανονικό περιεχόμενο(αλλά γενικά το κανονικό περιεχόμενο είναι συχνά δημόσιο)<br />
+<br />
+2 - Λειτουργία του πρόσθετου<br /> 
+2.1 - Η διαχείριση των χρηστών <br />
+<br />
+Αν ο χρήστης έχει ήδη καταγεγραμμένος κατά την ενεργοποίηση αυτού του πρόσθετου, το πρόσθετο δείχνει ένα μικρό μπλοκ και επισημαίνει ότι θα πρέπει να διαλέξει την ηλικία του. Μόλις κάνει κλικ, η σελίδα που περιέχει το μήνυμα του «περιεχόμενο για ενήλικες» θα εμφανιστεί και η επιλογή να επιλέξει την ηλικία τους
+(Charte_user.php).
+
+Μόλις ο επισκέπτης επιλέξει την ηλικία του, οδηγείται εκ νέου στη σελίδα της επιλογής της ηλικίας (Charte_user.php), αμέσως μετά την εγγραφή του.
+
+Στην πράξη, το πρόσθετο τοποθετεί το χρήστη στις 3 ομάδες, \' 18\' \' 16-17\' και\'nothing\', ανάλογα με την επιλογή της ηλικίας του. Ένας χρήστης μπορεί ανά πάσα στιγμή να μεταβάλει την ηλικία του, μέσω του μενού του μπλοκ adult_content εκτός εάν έχει απενεργοποιηθεί από τον Διαχειριστή του piwigo (προσοχή ο απευθείας σύνδεσμοι με charte_user.php συνεχίζει να λειτουργούν όλοι το ίδιο): αν δεν θέλετε ένας χρήστης να μπορεί να αλλάξει την ηλικία του, τότε αυτή η σύνδεση είναι άχρηστη και χρησιμοποιήστε απευθείας τη διαχείριση των δικαιωμάτων στο επίπεδο των ομάδων και / ή εικόνων. <br />
+<br />
+2.2 - Διαχείριση Επισκεπτών <br /> 
+<br />
+Αν η επιλογή "Επιτρέψτε στους μη εγγεγραμμένους επισκέπτες να επιλέξουν την ηλικία τους;" είναι ενεργοποιημένη, τότε το πρόσθετο θα διαχειρίζεται τους επισκέπτες. * Εμφανίζει ένα μενού μπλοκ, αναφέροντας ότι η γκαλερί «φιλτράρετε» και ότι αν θέλει να απενεργοποιήσετε το φίλτρο, θα πρέπει να επιλέξει την ηλικία του. Στη συνέχεια μεταφέρεται στη σελίδα της επιλογής της ηλικίας για τον επισκέπτη (chartre.php).
+
+Στην πράξη, ο επισκέπτης στη συνέχεια καταγράφεται σε μια  από τις 2 ομάδες χρηστών που δημιουργούνται από το πρόσθετο:
+"18" που ανήκει στην ομάδα "18", και "16" που ανήκει στην ομάδα "16-17". Αυτοί οι 2 λογαριασμοί χρηστών δεν μπορούν να τροποποιηθούν από τους χρήστες, μόνο από τον διαχειριστή. Μπορείτε να ανοίξετε και να επιλέξετε να αλλάξετε το θέμα ανάλογα με την ηλικία του επισκέπτη μέσω αυτών των 2 λογαριασμών χρήστη. <br />
+<br />
+
+2.3 - Πιθανές προσαρμογές <br />
+<br />
+Μπορείτε να προσαρμόσετε αυτό το πρόσθετο και για βίαιο περιεχόμενο, αλλάζοντας απλώς τα αρχεία γλωσσών αυτού του πρόσθετου (χρησιμοποιήστε το plugin Local Files Editor για περισσότερη ευκολία). Τα όρια ηλικίας μπορούν επίσης να αλλάξουν με αυτό τον τρόπο.';
+$lang['ad_c_linktolang'] = 'Πηγαίνετε στο αρχείο γλώσσας του Adult Content (πρέπει το LocalFiles Editor να είναι ενεργοποιημένο)';
+$lang['ad_c_manage_both'] = 'ερωτικό και πορνογραφικό περιεχόμενο';
+$lang['ad_c_manage_eroticonly'] = 'ερωτικό περιεχόμενο μόνο';
+$lang['ad_c_manage_pornonly'] = 'πορνογραφικό περιεχόμενο μόνο';
+$lang['ad_c_manage_what'] = 'Επιλέξτε το είδος του περιεχομένου που πρέπει να διαχειρίζεται το πρόσθετο:';
+$lang['ad_c_menublock_for_guest'] = 'Επιτρέψτε στους μη εγγεγραμμένους χρήστες να επιλέγουν την ηλικία τους;';
+$lang['ad_c_msg_admin_1'] = 'Η Πρόσθετο διαμόρφωσης ενημερώθηκε επιτυχώς!';
+$lang['ad_c_send'] = 'Η διαμόρφωση του Πρόσθετου ενημερώθηκε επιτυχώς!';
+?>